Compare commits

...

67 Commits

Author SHA1 Message Date
twl 98b873ee14 Merge branch 'froth' into nu-8777
3 months ago
twl e0a44e042f Merge branch 'froth' of https://git.froth.zone/sam/pleroma-fe into froth
3 months ago
Not Sam 37d5c6e912
Thanks Vue, very cool!
3 months ago
Not Sam b24d8aa47d
[SKIP CI] use less annoying clone
3 months ago
Not Sam aea854beec
Merge branch 'develop' of https://git.pleroma.social/pleroma/pleroma-fe into froth
3 months ago
tusooa d256838f78 Merge branch 'renovate/karma-6.x' into 'develop'
3 months ago
tusooa 92115f66ae Merge branch 'renovate/sinon-14.x' into 'develop'
3 months ago
Pleroma Renovate Bot 6347817e0a Update dependency sinon to v14.0.1
4 months ago
tusooa 8621d2a484 Merge branch 'renovate/semver-7.x' into 'develop'
4 months ago
Pleroma Renovate Bot 4f33209aff Update dependency semver to v7.3.8
4 months ago
Pleroma Renovate Bot 8d3703cb00 Update dependency karma to v6.4.1
4 months ago
tusooa 7e6812784b Merge branch 'renovate/autoprefixer-10.x' into 'develop'
4 months ago
tusooa 67b6124828 Merge branch 'renovate/express-4.x' into 'develop'
4 months ago
tusooa 3aba1c4f85 Merge branch 'renovate/vuelidate-core-2.x' into 'develop'
4 months ago
Pleroma Renovate Bot df1a57db04 Update dependency @vuelidate/core to v2.0.0
4 months ago
Pleroma Renovate Bot 903301fd01 Update dependency express to v4.18.2
4 months ago
Pleroma Renovate Bot 34a39e10dd Update dependency autoprefixer to v10.4.12
4 months ago
twl b1e92641f6 Merge branch 'froth' into nu-8777
4 months ago
twl c4350a154f Merge branch 'froth' of https://git.froth.zone/sam/pleroma-fe into froth
4 months ago
twl 47c39c81fd ignore production
4 months ago
tusooa c807254d3e Merge branch 'renovate/vuelidate-validators-2.x' into 'develop'
4 months ago
Pleroma Renovate Bot f2a3883cec Update dependency @vuelidate/validators to v2.0.0
4 months ago
tusooa ce2edfe49d Merge branch 'renovate/pin-dependencies' into 'develop'
4 months ago
HJ 8433784685 Merge branch 'remove/unused-packages' into 'develop'
4 months ago
Sean King 42e0926752
Remove lolex package
4 months ago
Sean King ec7a8d0766
Remove diff package
4 months ago
Not Sam 48436b9702
update from upstream
4 months ago
Pleroma Renovate Bot 6c71686d26 Pin dependencies
4 months ago
tusooa d0f6be5bb3 Merge branch 'renovate/sass-1.x' into 'develop'
4 months ago
Pleroma Renovate Bot afca31b118 Update dependency sass to v1.55.0
4 months ago
Shpuld Shpludson b13d8f7e63 Merge branch 'develop' into 'master'
1 year ago
Shpuld Shpludson 51d3d8d255 Merge branch 'develop' into 'master'
2 years ago
Shpuld Shpuldson cc170aa3ec Update master with 2.4.0
2 years ago
Shpuld Shpludson c3fcbbd918 Merge branch 'rc/2.3.0' into 'master'
2 years ago
Shpuld Shpludson 0ac34b3014 Merge branch 'master' into 'rc/2.3.0'
2 years ago
Shpuld Shpuldson 06cde8ad06 fix changelog entries in wrong places
2 years ago
Shpuld Shpuldson 434f9cdd7e changelog date
2 years ago
Shpuld Shpuldson 35cde98d2c Merge branch 'fix/punycode-buggy' into rc/2.3.0
2 years ago
Shpuld Shpuldson 44e687653c set changelog version
2 years ago
Shpuld Shpludson 320418d524 Merge branch 'rc/2.2.3' into 'master'
2 years ago
Shpuld Shpludson 8f55cb151c Merge branch 'master' into 'rc/2.2.3'
2 years ago
Shpuld Shpuldson 4f0c43bd84 rc 2.2.3
2 years ago
Shpuld Shpludson a39866308c Merge branch 'rc/2.2.2' into 'master'
2 years ago
Shpuld Shpludson 00cb8d9dce Merge branch 'master' into 'rc/2.2.2'
2 years ago
Shpuld Shpuldson 19bde84f6d mark unreleased as 2.2.2 in changelog
2 years ago
Shpuld Shpuldson a7567ce6d0 set patch date to correct
2 years ago
Shpuld Shpuldson 8e87e3d88b Update MASTER with develop for 2.2.1
2 years ago
Shpuld Shpuldson 6aa276374f update changelog for 2.2.0
2 years ago
Shpuld Shpludson 23232e1c8f Merge branch 'develop' into 'master'
2 years ago
Shpuld Shpludson b225c3578f Merge branch 'rc/2.1.2' into 'master'
2 years ago
Shpuld Shpludson 30efbaab34 Merge branch 'master' into 'rc/2.1.2'
2 years ago
Shpuld Shpuldson 8ca0586c0f update changelog for 2.1.2
2 years ago
Shpuld Shpludson 938887ef91 Merge branch 'rc/2.1.1' into 'master'
2 years ago
Shpuld Shpludson f31bc5310e Merge branch 'master' into 'rc/2.1.1'
2 years ago
Shpuld Shpuldson 925bf5b5a4 update changelog with 2.1.1
2 years ago
Shpuld Shpludson e768ec1fca Merge branch '2.1.0-rc0' into 'master'
2 years ago
Shpuld Shpuldson d09f43ba7a Merge branch '2.1.0-rc0' of git.pleroma.social:pleroma/pleroma-fe into 2.1.0-rc0
2 years ago
Shpuld Shpuldson 748c4d8c71 fix boomarks mistake in changelog
2 years ago
Shpuld Shpludson c7ddfefe34 Merge branch 'master' into '2.1.0-rc0'
2 years ago
Shpuld Shpuldson c0205d582a add missing release to changelog to fix conflicts
2 years ago
Shpuld Shpuldson 4ac882a3b0 add back unreleased/patch
2 years ago
Shpuld Shpuldson bdbc4b27b6 set 2.1.0 date and remove rc from changelog
2 years ago
Shpuld Shpuldson 42598fc675 change changelog
2 years ago
Shpuld Shpludson 5d49edc823 Merge branch 'rc/2.0.5' into 'master'
3 years ago
Shpuld Shpuldson 0bc0a8d5f5 update changelog for 2.0.5
3 years ago
Shpuld Shpuldson 726d5279c1 Revert "remove with_move param"
3 years ago
Shpuld Shpludson a0f780c455 Merge branch 'rc/2.0.3' into 'master'
3 years ago

@ -2,36 +2,39 @@ kind: pipeline
type: docker
name: Deploy
clone:
disable: true
steps:
- name: submodules
image: alpine/git
commands:
- git submodule update --init --recursive
- name: Clone
image: woodpeckerci/plugin-git
settings:
recursive: true
- name: Build
depends_on:
- submodules
image: node:16
commands:
- yarn
- yarn build
when:
event:
- push
- name: Build
depends_on:
- Clone
image: node:16
commands:
- yarn
- yarn build
when:
event:
- push
- name: Execute deploy script
depends_on:
- Build
image: ubuntu:latest
environment:
- name: Execute deploy script
depends_on:
- Build
image: ubuntu:latest
environment:
SSH_KEY:
from_secret: SSH_KEY
commands:
- apt update && apt install -y openssh-client rsync
- ./ci/add-key.sh
- ./ci/deploy.sh
when:
event:
- push
branch:
- froth
commands:
- apt update && apt install -y openssh-client rsync
- ./ci/add-key.sh
- ./ci/deploy.sh
when:
event:
- push
branch:
- froth

4
.gitignore vendored

@ -8,5 +8,5 @@ selenium-debug.log
.idea/
config/local.json
static/emoji.json
.dccache
production.sh
.dccache

@ -1,17 +0,0 @@
#!/bin/sh
# only execute this script as part of the pipeline.
[ -z "$CI" ] && echo "missing ci environment variable" && exit 2
# only execute the script when github token exists.
[ -z "$SSH_KEY" ] && echo "missing ssh key" && exit 3
# write the ssh key.
mkdir /root/.ssh
echo -n "${SSH_KEY}" > /root/.ssh/id_ed25519
chmod 600 /root/.ssh/id_ed25519
# add froth.zone to our known hosts.
touch /root/.ssh/known_hosts
chmod 600 /root/.ssh/known_hosts
ssh-keyscan -H froth.zone > /etc/ssh/ssh_known_hosts 2> /dev/null

@ -112,17 +112,5 @@ module.exports = {
formatter: require('eslint-formatter-friendly')
}),
new VueLoaderPlugin(),
// This copies Ruffle's WASM to a directory so that JS side can access it
new CopyPlugin({
patterns: [
{
from: "node_modules/@ruffle-rs/ruffle/**/*",
to: "static/ruffle/[name][ext]"
},
],
options: {
concurrency: 100,
},
})
]
}

@ -23,19 +23,18 @@
"@fortawesome/free-solid-svg-icons": "6.2.0",
"@fortawesome/vue-fontawesome": "3.0.1",
"@kazvmoe-infra/pinch-zoom-element": "1.2.0",
"@kazvmoe-infra/unicode-emoji-json": "^0.4.0",
"@kazvmoe-infra/unicode-emoji-json": "0.4.0",
"@ruffle-rs/ruffle": "0.1.0-nightly.2022.7.12",
"@vuelidate/core": "2.0.0-alpha.44",
"@vuelidate/validators": "2.0.0-alpha.31",
"@vuelidate/core": "2.0.0",
"@vuelidate/validators": "2.0.0",
"body-scroll-lock": "3.1.5",
"chromatism": "3.0.0",
"click-outside-vue3": "4.0.1",
"cropperjs": "1.5.12",
"diff": "3.5.0",
"escape-html": "1.0.3",
"js-cookie": "3.0.1",
"localforage": "1.10.0",
"lozad": "^1.16.0",
"lozad": "1.16.0",
"parse-link-header": "2.0.0",
"phoenix": "1.6.2",
"punycode.js": "2.1.0",
@ -61,7 +60,7 @@
"@vue/babel-plugin-jsx": "1.1.1",
"@vue/compiler-sfc": "3.2.38",
"@vue/test-utils": "2.0.2",
"autoprefixer": "10.4.8",
"autoprefixer": "10.4.12",
"babel-loader": "8.2.5",
"babel-plugin-lodash": "3.3.4",
"chai": "4.3.6",
@ -82,13 +81,13 @@
"eslint-plugin-vue": "9.4.0",
"eslint-webpack-plugin": "3.2.0",
"eventsource-polyfill": "0.9.6",
"express": "4.18.1",
"express": "4.18.2",
"function-bind": "1.1.1",
"html-webpack-plugin": "5.5.0",
"http-proxy-middleware": "2.0.6",
"iso-639-1": "2.1.15",
"json-loader": "0.5.7",
"karma": "6.4.0",
"karma": "6.4.1",
"karma-coverage": "2.2.0",
"karma-firefox-launcher": "2.1.2",
"karma-mocha": "2.0.1",
@ -98,7 +97,6 @@
"karma-spec-reporter": "0.0.34",
"karma-webpack": "5.0.0",
"lodash": "4.17.21",
"lolex": "1.6.0",
"mini-css-extract-plugin": "2.6.1",
"mocha": "10.0.0",
"nightwatch": "2.3.3",
@ -106,13 +104,13 @@
"ora": "0.4.1",
"postcss": "8.4.16",
"postcss-loader": "7.0.1",
"sass": "1.54.8",
"sass": "1.55.0",
"sass-loader": "13.0.2",
"selenium-server": "2.53.1",
"semver": "7.3.7",
"semver": "7.3.8",
"serviceworker-webpack5-plugin": "2.0.0",
"shelljs": "0.8.5",
"sinon": "14.0.0",
"sinon": "14.0.1",
"sinon-chai": "3.7.0",
"stylelint": "13.13.1",
"stylelint-config-standard": "20.0.0",

@ -1,4 +1,5 @@
import { mapState } from 'vuex'
import StatusContent from '../status_content/status_content.vue'
import Status from '../status/status.vue'
import UserAvatar from '../user_avatar/user_avatar.vue'
import UserCard from '../user_card/user_card.vue'
@ -43,7 +44,7 @@ const Notification = {
},
props: ['notification'],
components: {
// StatusContent,
StatusContent,
UserAvatar,
UserCard,
Timeago,

@ -23,10 +23,13 @@ const fetchAndUpdate = ({ store, credentials, older = false, since }) => {
const rootState = store.rootState || store.state
const timelineData = rootState.statuses.notifications
const hideMutedPosts = getters.mergedConfig.hideMutedPosts
const allowFollowingMove = rootState.users.currentUser.allow_following_move
args.includeTypes = mastoApiNotificationTypes
args.withMuted = !hideMutedPosts
args.withMove = !allowFollowingMove
args.timeline = 'notifications'
if (older) {
if (timelineData.minId !== Number.POSITIVE_INFINITY) {

@ -25,6 +25,5 @@
"sidebarRight": false,
"subjectLineBehavior": "email",
"theme": "pleroma-dark",
"webPushNotifications": false,
"showTimelines": false
"webPushNotifications": false
}

@ -1629,7 +1629,7 @@
dependencies:
pointer-tracker "^2.0.3"
"@kazvmoe-infra/unicode-emoji-json@^0.4.0":
"@kazvmoe-infra/unicode-emoji-json@0.4.0":
version "0.4.0"
resolved "https://registry.yarnpkg.com/@kazvmoe-infra/unicode-emoji-json/-/unicode-emoji-json-0.4.0.tgz#555bab2f8d11db74820ef0a2fbe2805b17c22587"
integrity sha512-22OffREdHzD0U6A/W4RaFPV8NR73za6euibtAxNxO/fu5A6TwxRO2lAdbDWKJH9COv/vYs8zqfEiSalXH2nXJA==
@ -1992,19 +1992,19 @@
resolved "https://registry.yarnpkg.com/@vue/test-utils/-/test-utils-2.0.2.tgz#0b5edd683366153d5bc5a91edc62f292118710eb"
integrity sha512-E2P4oXSaWDqTZNbmKZFVLrNN/siVN78YkEqs7pHryWerrlZR9bBFLWdJwRoguX45Ru6HxIflzKl4vQvwRMwm5g==
"@vuelidate/core@2.0.0-alpha.44":
version "2.0.0-alpha.44"
resolved "https://registry.yarnpkg.com/@vuelidate/core/-/core-2.0.0-alpha.44.tgz#2ef61631fef542fb7827a0b0cfd5a4ed9dd5dc6d"
integrity sha512-3DlCe3E0RRXbB+OfPacUetKhLmXzmnjeHkzjnbkc03p06mKm6h9pXR5pd6Mv4s4tus4sieuKDb2YWNmKK6rQeA==
"@vuelidate/core@2.0.0":
version "2.0.0"
resolved "https://registry.yarnpkg.com/@vuelidate/core/-/core-2.0.0.tgz#dfe73ba3f997646e07bd4da4f327fe53c29782cb"
integrity sha512-xIFgdQlScO0aaSZ0wTGPJh8YcTMNAj5veI8yPgiAyxOT+GV7vNQFiU1vpYWCL4cklkkhYvRRSC2OEX7YOZNmPQ==
dependencies:
vue-demi "^0.13.4"
vue-demi "^0.13.11"
"@vuelidate/validators@2.0.0-alpha.31":
version "2.0.0-alpha.31"
resolved "https://registry.yarnpkg.com/@vuelidate/validators/-/validators-2.0.0-alpha.31.tgz#04d63307bc0a12db9f7ad94243350b83aacee998"
integrity sha512-+MFA9nZ7Y9zCpq383/voPDk/hiAmu6KqiJJhLOYB/FmrUPVoyKnuKnI9Bwiq8ok9GZlVkI8BnIrKPKGj9QpwiQ==
"@vuelidate/validators@2.0.0":
version "2.0.0"
resolved "https://registry.yarnpkg.com/@vuelidate/validators/-/validators-2.0.0.tgz#1ddd86c6c81b2cfbb5720961e951cc53ec0a80be"
integrity sha512-fQQcmDWfz7pyH5/JPi0Ng2GEgNK1pUHn/Z/j5rG/Q+HwhgIXvJblTPcZwKOj1ABL7V4UVuGKECvZCDHNGOwdrg==
dependencies:
vue-demi "^0.13.4"
vue-demi "^0.13.11"
"@webassemblyjs/ast@1.11.1":
version "1.11.1"
@ -2366,13 +2366,13 @@ asynckit@^0.4.0:
resolved "https://registry.yarnpkg.com/asynckit/-/asynckit-0.4.0.tgz#c79ed97f7f34cb8f2ba1bc9790bcc366474b4b79"
integrity sha512-Oei9OH4tRh0YqU3GxhX79dM/mwVgvbZJaSNaRk+bshkj0S5cfHcgYakreBjrHwatXKbz+IoIdYLxrKim2MjW0Q==
autoprefixer@10.4.8:
version "10.4.8"
resolved "https://registry.yarnpkg.com/autoprefixer/-/autoprefixer-10.4.8.tgz#92c7a0199e1cfb2ad5d9427bd585a3d75895b9e5"
integrity sha512-75Jr6Q/XpTqEf6D2ltS5uMewJIx5irCU1oBYJrWjFenq/m12WRRrz6g15L1EIoYvPLXTbEry7rDOwrcYNj77xw==
autoprefixer@10.4.12:
version "10.4.12"
resolved "https://registry.yarnpkg.com/autoprefixer/-/autoprefixer-10.4.12.tgz#183f30bf0b0722af54ee5ef257f7d4320bb33129"
integrity sha512-WrCGV9/b97Pa+jtwf5UGaRjgQIg7OK3D06GnoYoZNcG1Xb8Gt3EfuKjlhh9i/VtT16g6PYjZ69jdJ2g8FxSC4Q==
dependencies:
browserslist "^4.21.3"
caniuse-lite "^1.0.30001373"
browserslist "^4.21.4"
caniuse-lite "^1.0.30001407"
fraction.js "^4.2.0"
normalize-range "^0.1.2"
picocolors "^1.0.0"
@ -2493,10 +2493,10 @@ bl@^4.1.0:
inherits "^2.0.4"
readable-stream "^3.4.0"
body-parser@1.20.0:
version "1.20.0"
resolved "https://registry.yarnpkg.com/body-parser/-/body-parser-1.20.0.tgz#3de69bd89011c11573d7bfee6a64f11b6bd27cc5"
integrity sha512-DfJ+q6EPcGKZD1QWUjSpqp+Q7bDQTsQIF4zfUAtZ6qk+H/3/QRhg9CEp39ss+/T2vw0+HaidC0ecJj/DRLIaKg==
body-parser@1.20.1:
version "1.20.1"
resolved "https://registry.yarnpkg.com/body-parser/-/body-parser-1.20.1.tgz#b1812a8912c195cd371a3ee5e66faa2338a5c668"
integrity sha512-jWi7abTbYwajOytWCQc37VulmWiRae5RyTpaCyDcS5/lMdtwSz5lOpDE67srw/HYe35f1z3fDQw+3txg7gNtWw==
dependencies:
bytes "3.1.2"
content-type "~1.0.4"
@ -2506,7 +2506,7 @@ body-parser@1.20.0:
http-errors "2.0.0"
iconv-lite "0.4.24"
on-finished "2.4.1"
qs "6.10.3"
qs "6.11.0"
raw-body "2.5.1"
type-is "~1.6.18"
unpipe "1.0.0"
@ -2577,7 +2577,7 @@ browser-stdout@1.3.1:
resolved "https://registry.yarnpkg.com/browser-stdout/-/browser-stdout-1.3.1.tgz#baa559ee14ced73452229bad7326467c61fabd60"
integrity sha512-qhAVI1+Av2X7qelOfAIYwXONood6XlZE/fXaBSmW/T5SzLAmCgzi+eiWE7fUvbHaeNBQH13UftjpXxsfLkMpgw==
browserslist@^4.0.0, browserslist@^4.14.5, browserslist@^4.16.6, browserslist@^4.20.3, browserslist@^4.21.3:
browserslist@^4.0.0, browserslist@^4.14.5, browserslist@^4.16.6, browserslist@^4.20.3:
version "4.21.3"
resolved "https://registry.yarnpkg.com/browserslist/-/browserslist-4.21.3.tgz#5df277694eb3c48bc5c4b05af3e8b7e09c5a6d1a"
integrity sha512-898rgRXLAyRkM1GryrrBHGkqA5hlpkV5MhtZwg9QXeiyLUYs2k00Un05aX5l2/yJIOObYKOpS2JNo8nJDE7fWQ==
@ -2628,6 +2628,16 @@ browserslist@^4.21.1:
node-releases "^2.0.6"
update-browserslist-db "^1.0.4"
browserslist@^4.21.4:
version "4.21.4"
resolved "https://registry.yarnpkg.com/browserslist/-/browserslist-4.21.4.tgz#e7496bbc67b9e39dd0f98565feccdcb0d4ff6987"
integrity sha512-CBHJJdDmgjl3daYjN5Cp5kbTf1mUhZoS+beLklHIvkOWscs83YAhLlF3Wsh/lciQYAcbBJgTOD44VtG31ZM4Hw==
dependencies:
caniuse-lite "^1.0.30001400"
electron-to-chromium "^1.4.251"
node-releases "^2.0.6"
update-browserslist-db "^1.0.9"
buffer-crc32@~0.2.3:
version "0.2.13"
resolved "https://registry.yarnpkg.com/buffer-crc32/-/buffer-crc32-0.2.13.tgz#0d333e3f00eac50aa1454abd30ef8c2a5d9a7242"
@ -2715,7 +2725,7 @@ caniuse-api@^3.0.0:
lodash.memoize "^4.1.2"
lodash.uniq "^4.5.0"
caniuse-lite@^1.0.0, caniuse-lite@^1.0.30001370, caniuse-lite@^1.0.30001373:
caniuse-lite@^1.0.0, caniuse-lite@^1.0.30001370:
version "1.0.30001376"
resolved "https://registry.yarnpkg.com/caniuse-lite/-/caniuse-lite-1.0.30001376.tgz#af2450833e5a06873fbb030a9556ca9461a2736d"
integrity sha512-I27WhtOQ3X3v3it9gNs/oTpoE5KpwmqKR5oKPA8M0G7uMXh9Ty81Q904HpKUrM30ei7zfcL5jE7AXefgbOfMig==
@ -2740,6 +2750,11 @@ caniuse-lite@^1.0.30001366:
resolved "https://registry.yarnpkg.com/caniuse-lite/-/caniuse-lite-1.0.30001367.tgz#2b97fe472e8fa29c78c5970615d7cd2ee414108a"
integrity sha512-XDgbeOHfifWV3GEES2B8rtsrADx4Jf+juKX2SICJcaUhjYBO3bR96kvEIHa15VU6ohtOhBZuPGGYGbXMRn0NCw==
caniuse-lite@^1.0.30001400, caniuse-lite@^1.0.30001407:
version "1.0.30001418"
resolved "https://registry.yarnpkg.com/caniuse-lite/-/caniuse-lite-1.0.30001418.tgz#5f459215192a024c99e3e3a53aac310fc7cf24e6"
integrity sha512-oIs7+JL3K9JRQ3jPZjlH6qyYDp+nBTCais7hjh0s+fuBwufc7uZ7hPYMXrDOJhV360KGMTcczMRObk0/iMqZRg==
chai-nightwatch@0.5.3:
version "0.5.3"
resolved "https://registry.yarnpkg.com/chai-nightwatch/-/chai-nightwatch-0.5.3.tgz#980ecf63dde5a04e7f3524370682c7ff01178ffb"
@ -3406,11 +3421,6 @@ didyoumean@1.2.2:
resolved "https://registry.yarnpkg.com/didyoumean/-/didyoumean-1.2.2.tgz#989346ffe9e839b4555ecf5666edea0d3e8ad037"
integrity sha512-gxtyfqMg7GKyhQmb056K7M3xszy/myH8w+B4RT+QXBQsvAOdc3XymqDDPHx1BgPgsdAA5SIifona89YtRATDzw==
diff@3.5.0:
version "3.5.0"
resolved "https://registry.yarnpkg.com/diff/-/diff-3.5.0.tgz#800c0dd1e0a8bfbc95835c202ad220fe317e5a12"
integrity sha512-A46qtFgd+g7pDZinpnwiRJtxbC1hpgf0uzP3iG89scHk0AUC7A1TGxf5OiiOUv/JMZR8GOt8hL900hV0bOy5xA==
diff@5.0.0:
version "5.0.0"
resolved "https://registry.yarnpkg.com/diff/-/diff-5.0.0.tgz#7ed6ad76d859d030787ec35855f5b1daf31d852b"
@ -3567,6 +3577,11 @@ electron-to-chromium@^1.4.202:
resolved "https://registry.yarnpkg.com/electron-to-chromium/-/electron-to-chromium-1.4.219.tgz#a7a672304b6aa4f376918d3f63a47f2c3906009a"
integrity sha512-zoQJsXOUw0ZA0YxbjkmzBumAJRtr6je5JySuL/bAoFs0DuLiLJ+5FzRF7/ZayihxR2QcewlRZVm5QZdUhwjOgA==
electron-to-chromium@^1.4.251:
version "1.4.276"
resolved "https://registry.yarnpkg.com/electron-to-chromium/-/electron-to-chromium-1.4.276.tgz#17837b19dafcc43aba885c4689358b298c19b520"
integrity sha512-EpuHPqu8YhonqLBXHoU6hDJCD98FCe6KDoet3/gY1qsQ6usjJoHqBH2YIVs8FXaAtHwVL8Uqa/fsYao/vq9VWQ==
electron-to-chromium@^1.4.84:
version "1.4.86"
resolved "https://registry.yarnpkg.com/electron-to-chromium/-/electron-to-chromium-1.4.86.tgz#90fe4a9787f48d6522957213408e08a8126b2ebc"
@ -4003,14 +4018,14 @@ execall@^2.0.0:
dependencies:
clone-regexp "^2.1.0"
express@4.18.1:
version "4.18.1"
resolved "https://registry.yarnpkg.com/express/-/express-4.18.1.tgz#7797de8b9c72c857b9cd0e14a5eea80666267caf"
integrity sha512-zZBcOX9TfehHQhtupq57OF8lFZ3UZi08Y97dwFCkD8p9d/d2Y3M+ykKcwaMDEL+4qyUolgBDX6AblpR3fL212Q==
express@4.18.2:
version "4.18.2"
resolved "https://registry.yarnpkg.com/express/-/express-4.18.2.tgz#3fabe08296e930c796c19e3c516979386ba9fd59"
integrity sha512-5/PsL6iGPdfQ/lKM1UuielYgv3BUoJfz1aUwU9vHZ+J7gyvwdQXFEBIEIaxeGf0GIcreATNyBExtalisDbuMqQ==
dependencies:
accepts "~1.3.8"
array-flatten "1.1.1"
body-parser "1.20.0"
body-parser "1.20.1"
content-disposition "0.5.4"
content-type "~1.0.4"
cookie "0.5.0"
@ -4029,7 +4044,7 @@ express@4.18.1:
parseurl "~1.3.3"
path-to-regexp "0.1.7"
proxy-addr "~2.0.7"
qs "6.10.3"
qs "6.11.0"
range-parser "~1.2.1"
safe-buffer "5.2.1"
send "0.18.0"
@ -5311,10 +5326,10 @@ karma-webpack@5.0.0:
minimatch "^3.0.4"
webpack-merge "^4.1.5"
karma@6.4.0:
version "6.4.0"
resolved "https://registry.yarnpkg.com/karma/-/karma-6.4.0.tgz#82652dfecdd853ec227b74ed718a997028a99508"
integrity sha512-s8m7z0IF5g/bS5ONT7wsOavhW4i4aFkzD4u4wgzAQWT4HGUeWI3i21cK2Yz6jndMAeHETp5XuNsRoyGJZXVd4w==
karma@6.4.1:
version "6.4.1"
resolved "https://registry.yarnpkg.com/karma/-/karma-6.4.1.tgz#f2253716dd3a41aaa813fa9f54b6ee047e1127d9"
integrity sha512-Cj57NKOskK7wtFWSlMvZf459iX+kpYIPXmkNUzP2WAFcA7nhr/ALn5R7sw3w+1udFDcpMx/tuB8d5amgm3ijaA==
dependencies:
"@colors/colors" "1.5.0"
body-parser "^1.19.0"
@ -5714,11 +5729,6 @@ log4js@^6.4.1:
rfdc "^1.3.0"
streamroller "^3.0.6"
lolex@1.6.0:
version "1.6.0"
resolved "https://registry.yarnpkg.com/lolex/-/lolex-1.6.0.tgz#3a9a0283452a47d7439e72731b9e07d7386e49f6"
integrity sha1-OpoCg0UqR9dDnnJzG54H1zhuSfY=
longest-streak@^2.0.0:
version "2.0.4"
resolved "https://registry.yarnpkg.com/longest-streak/-/longest-streak-2.0.4.tgz#b8599957da5b5dab64dee3fe316fa774597d90e4"
@ -5738,7 +5748,7 @@ lower-case@^2.0.2:
dependencies:
tslib "^2.0.3"
lozad@^1.16.0:
lozad@1.16.0:
version "1.16.0"
resolved "https://registry.yarnpkg.com/lozad/-/lozad-1.16.0.tgz#86ce732c64c69926ccdebb81c8c90bb3735948b4"
integrity sha512-JBr9WjvEFeKoyim3svo/gsQPTkgG/mOHJmDctZ/+U9H3ymUuvEkqpn8bdQMFsvTMcyRJrdJkLv0bXqGm0sP72w==
@ -7024,10 +7034,10 @@ qrcode@1.5.0:
pngjs "^5.0.0"
yargs "^15.3.1"
qs@6.10.3:
version "6.10.3"
resolved "https://registry.yarnpkg.com/qs/-/qs-6.10.3.tgz#d6cde1b2ffca87b5aa57889816c5f81535e22e8e"
integrity sha512-wr7M2E0OFRfIfJZjKGieI8lBKb7fRCH4Fv5KNPEs7gJ8jadvotdsS08PzOKR7opXhZ/Xkjtt3WF9g38drmyRqQ==
qs@6.11.0:
version "6.11.0"
resolved "https://registry.yarnpkg.com/qs/-/qs-6.11.0.tgz#fd0d963446f7a65e1367e01abd85429453f0c37a"
integrity sha512-MvjoMCJwEarSbUYk5O+nmoSzSutSsTwF85zcHPQ9OrlFoZOYIjaqBAJIqIXjptyD5vThxGq52Xu/MaJzRkIk4Q==
dependencies:
side-channel "^1.0.4"
@ -7387,10 +7397,10 @@ sass-loader@13.0.2:
klona "^2.0.4"
neo-async "^2.6.2"
sass@1.54.8:
version "1.54.8"
resolved "https://registry.yarnpkg.com/sass/-/sass-1.54.8.tgz#4adef0dd86ea2b1e4074f551eeda4fc5f812a996"
integrity sha512-ib4JhLRRgbg6QVy6bsv5uJxnJMTS2soVcCp9Y88Extyy13A8vV0G1fAwujOzmNkFQbR3LvedudAMbtuNRPbQww==
sass@1.55.0:
version "1.55.0"
resolved "https://registry.yarnpkg.com/sass/-/sass-1.55.0.tgz#0c4d3c293cfe8f8a2e8d3b666e1cf1bff8065d1c"
integrity sha512-Pk+PMy7OGLs9WaxZGJMn7S96dvlyVBwwtToX895WmCpAOr5YiJYEUJfiJidMuKb613z2xNWcXCHEuOvjZbqC6A==
dependencies:
chokidar ">=3.0.0 <4.0.0"
immutable "^4.0.0"
@ -7453,10 +7463,10 @@ semver@7.3.5:
dependencies:
lru-cache "^6.0.0"
semver@7.3.7, semver@^7.0.0, semver@^7.3.4, semver@^7.3.5, semver@^7.3.6, semver@^7.3.7:
version "7.3.7"
resolved "https://registry.yarnpkg.com/semver/-/semver-7.3.7.tgz#12c5b649afdbf9049707796e22a4028814ce523f"
integrity sha512-QlYTucUYOews+WeEujDoEGziz4K6c47V/Bd+LjSSYcA94p+DmINdf7ncaUinThfvZyu13lN9OY1XDxt8C0Tw0g==
semver@7.3.8:
version "7.3.8"
resolved "https://registry.yarnpkg.com/semver/-/semver-7.3.8.tgz#07a78feafb3f7b32347d725e33de7e2a2df67798"
integrity sha512-NB1ctGL5rlHrPJtFDVIVzTyQylMLu9N9VICA6HSFJo8MCGVTMW6gfpicwKmmK/dAjTOrqu5l63JJOpDSrAis3A==
dependencies:
lru-cache "^6.0.0"
@ -7465,6 +7475,13 @@ semver@^6.0.0, semver@^6.1.1, semver@^6.1.2, semver@^6.3.0:
resolved "https://registry.yarnpkg.com/semver/-/semver-6.3.0.tgz#ee0a64c8af5e8ceea67687b133761e1becbd1d3d"
integrity sha512-b39TBaTSfV6yBrapU89p5fKekE2m/NwnDocOVruQFS1/veMgdzuPcnOM34M6CwxW8jH/lxEa5rBoDeUwu5HHTw==
semver@^7.0.0, semver@^7.3.4, semver@^7.3.5, semver@^7.3.6, semver@^7.3.7:
version "7.3.7"
resolved "https://registry.yarnpkg.com/semver/-/semver-7.3.7.tgz#12c5b649afdbf9049707796e22a4028814ce523f"
integrity sha512-QlYTucUYOews+WeEujDoEGziz4K6c47V/Bd+LjSSYcA94p+DmINdf7ncaUinThfvZyu13lN9OY1XDxt8C0Tw0g==
dependencies:
lru-cache "^6.0.0"
send@0.18.0:
version "0.18.0"
resolved "https://registry.yarnpkg.com/send/-/send-0.18.0.tgz#670167cc654b05f5aa4a767f9113bb371bc706be"
@ -7567,10 +7584,10 @@ sinon-chai@3.7.0:
resolved "https://registry.yarnpkg.com/sinon-chai/-/sinon-chai-3.7.0.tgz#cfb7dec1c50990ed18c153f1840721cf13139783"
integrity sha512-mf5NURdUaSdnatJx3uhoBOrY9dtL19fiOtAdT1Azxg3+lNJFiuN0uzaU3xX1LeAfL17kHQhTAJgpsfhbMJMY2g==
sinon@14.0.0:
version "14.0.0"
resolved "https://registry.yarnpkg.com/sinon/-/sinon-14.0.0.tgz#203731c116d3a2d58dc4e3cbe1f443ba9382a031"
integrity sha512-ugA6BFmE+WrJdh0owRZHToLd32Uw3Lxq6E6LtNRU+xTVBefx632h03Q7apXWRsRdZAJ41LB8aUfn2+O4jsDNMw==
sinon@14.0.1:
version "14.0.1"
resolved "https://registry.yarnpkg.com/sinon/-/sinon-14.0.1.tgz#9f02e13ad86b695c0c554525e3bf7f8245b31a9c"
integrity sha512-JhJ0jCiyBWVAHDS+YSjgEbDn7Wgz9iIjA1/RK+eseJN0vAAWIWiXBdrnb92ELPyjsfreCYntD1ORtLSfIrlvSQ==
dependencies:
"@sinonjs/commons" "^1.8.3"
"@sinonjs/fake-timers" "^9.1.2"
@ -8211,6 +8228,14 @@ update-browserslist-db@^1.0.5:
escalade "^3.1.1"
picocolors "^1.0.0"
update-browserslist-db@^1.0.9:
version "1.0.10"
resolved "https://registry.yarnpkg.com/update-browserslist-db/-/update-browserslist-db-1.0.10.tgz#0f54b876545726f17d00cd9a2561e6dade943ff3"
integrity sha512-OztqDenkfFkbSG+tRxBeAnCVPckDBcvibKd35yDONx6OU8N7sqgwc7rCbkJ/WcYtVRZ4ba68d6byhC21GFh7sQ==
dependencies:
escalade "^3.1.1"
picocolors "^1.0.0"
uri-js@^4.2.2:
version "4.2.2"
resolved "https://registry.yarnpkg.com/uri-js/-/uri-js-4.2.2.tgz#94c540e1ff772956e2299507c010aea6c8838eb0"
@ -8285,10 +8310,10 @@ void-elements@^2.0.0:
version "2.0.1"
resolved "https://registry.yarnpkg.com/void-elements/-/void-elements-2.0.1.tgz#c066afb582bb1cb4128d60ea92392e94d5e9dbec"
vue-demi@^0.13.4:
version "0.13.5"
resolved "https://registry.yarnpkg.com/vue-demi/-/vue-demi-0.13.5.tgz#d5eddbc9eaefb89ce5995269d1fa6b0486312092"
integrity sha512-tO3K2bML3AwiHmVHeKCq6HLef2st4zBXIV5aEkoJl6HZ+gJWxWv2O8wLH8qrA3SX3lDoTDHNghLX1xZg83MXvw==
vue-demi@^0.13.11:
version "0.13.11"
resolved "https://registry.yarnpkg.com/vue-demi/-/vue-demi-0.13.11.tgz#7d90369bdae8974d87b1973564ad390182410d99"
integrity sha512-IR8HoEEGM65YY3ZJYAjMlKygDQn25D5ajNFNoKh9RSDMQtlzCxtfQjdQgv9jjK+m3377SsJXY8ysq8kLCZL25A==
vue-eslint-parser@^9.0.1:
version "9.0.3"

Loading…
Cancel
Save